/*
 *	OLE2NLS library
 *      Japanese
 *	Japanese strings in codepage 932(Shift-JIS)
 *	modified by Hidenori Takeshima(hidenori@a2.ctktv.ne.jp)
 *
 * Copyright 1998 Marcel Baur
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2.1 of the License, or (at your option) any later version.
 *
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 */

LOCVAL(LOCALE_ILANGUAGE,"0411")
LOCVAL(LOCALE_SLANGUAGE,"日本語")
LOCVAL(LOCALE_SENGLANGUAGE,"Japanese")
LOCVAL(LOCALE_SABBREVLANGNAME,"jpn")
LOCVAL(LOCALE_SNATIVELANGNAME,"日本語")
LOCVAL(LOCALE_ICOUNTRY,"81")
LOCVAL(LOCALE_SCOUNTRY,"日本")
LOCVAL(LOCALE_SENGCOUNTRY,"Japan")
LOCVAL(LOCALE_SABBREVCTRYNAME,"JPN")
LOCVAL(LOCALE_SNATIVECTRYNAME,"日本")
LOCVAL(LOCALE_IDEFAULTLANGUAGE,"0411")
LOCVAL(LOCALE_IDEFAULTCOUNTRY,"81")
LOCVAL(LOCALE_IDEFAULTCODEPAGE,"932")
LOCVAL(LOCALE_IDEFAULTANSICODEPAGE,"932")
LOCVAL(LOCALE_IDEFAULTMACCODEPAGE, "10001")
LOCVAL(LOCALE_SLIST,",")
LOCVAL(LOCALE_IMEASURE,"0")
LOCVAL(LOCALE_SDECIMAL,".")
LOCVAL(LOCALE_STHOUSAND,",")
LOCVAL(LOCALE_SGROUPING,"3;0")
LOCVAL(LOCALE_IDIGITS,"2")
LOCVAL(LOCALE_ILZERO,"1")
LOCVAL(LOCALE_INEGNUMBER,"1")
LOCVAL(LOCALE_SNATIVEDIGITS,"0123456789")
LOCVAL(LOCALE_SCURRENCY,"円")
LOCVAL(LOCALE_SINTLSYMBOL, "JPY")
LOCVAL(LOCALE_SMONDECIMALSEP,".")
LOCVAL(LOCALE_SMONTHOUSANDSEP,",")
LOCVAL(LOCALE_SMONGROUPING,"3;0")
LOCVAL(LOCALE_ICURRDIGITS,"0")
LOCVAL(LOCALE_IINTLCURRDIGITS,"2")
LOCVAL(LOCALE_ICURRENCY,"3")
LOCVAL(LOCALE_INEGCURR,"8")
LOCVAL(LOCALE_SDATE,"-")
LOCVAL(LOCALE_STIME,":")
LOCVAL(LOCALE_SSHORTDATE,"yy-MM-dd")
LOCVAL(LOCALE_SLONGDATE,"yyyy-MM-dd")
LOCVAL(LOCALE_STIMEFORMAT,"HH:mm:ss")
LOCVAL(LOCALE_IDATE,"2")
LOCVAL(LOCALE_ILDATE,"2")
LOCVAL(LOCALE_ITIME,"1")
LOCVAL(LOCALE_ITIMEMARKPOSN,"0") /* Is this correct?(I have no documents.) */
LOCVAL(LOCALE_ICENTURY,"0")
LOCVAL(LOCALE_ITLZERO,"0")
LOCVAL(LOCALE_IDAYLZERO,"0")
LOCVAL(LOCALE_IMONLZERO,"0")
LOCVAL(LOCALE_S1159, "午前")
LOCVAL(LOCALE_S2359, "午後")
LOCVAL(LOCALE_ICALENDARTYPE, "2")
LOCVAL(LOCALE_IOPTIONALCALENDAR,"2")
LOCVAL(LOCALE_IFIRSTDAYOFWEEK,"6")
LOCVAL(LOCALE_IFIRSTWEEKOFYEAR,"0")

LOCVAL(LOCALE_SDAYNAME1,"月曜日")
LOCVAL(LOCALE_SDAYNAME2,"火曜日")
LOCVAL(LOCALE_SDAYNAME3,"水曜日")
LOCVAL(LOCALE_SDAYNAME4,"木曜日")
LOCVAL(LOCALE_SDAYNAME5,"金曜日")
LOCVAL(LOCALE_SDAYNAME6,"土曜日")
LOCVAL(LOCALE_SDAYNAME7,"日曜日")

LOCVAL(LOCALE_SABBREVDAYNAME1,"月")
LOCVAL(LOCALE_SABBREVDAYNAME2,"火")
LOCVAL(LOCALE_SABBREVDAYNAME3,"水")
LOCVAL(LOCALE_SABBREVDAYNAME4,"木")
LOCVAL(LOCALE_SABBREVDAYNAME5,"金")
LOCVAL(LOCALE_SABBREVDAYNAME6,"土")
LOCVAL(LOCALE_SABBREVDAYNAME7,"日")

#if 0
/* classical format:-) */
LOCVAL(LOCALE_SMONTHNAME1,"睦月")
LOCVAL(LOCALE_SMONTHNAME2,"如月")
LOCVAL(LOCALE_SMONTHNAME3,"弥生")
LOCVAL(LOCALE_SMONTHNAME4,"卯月")
LOCVAL(LOCALE_SMONTHNAME5,"皐月")
LOCVAL(LOCALE_SMONTHNAME6,"水無月")
LOCVAL(LOCALE_SMONTHNAME7,"文月")
LOCVAL(LOCALE_SMONTHNAME8,"葉月")
LOCVAL(LOCALE_SMONTHNAME9,"長月")
LOCVAL(LOCALE_SMONTHNAME10,"神無月")
LOCVAL(LOCALE_SMONTHNAME11,"霜月")
LOCVAL(LOCALE_SMONTHNAME12,"師走")
LOCVAL(LOCALE_SMONTHNAME13,"")
#else
LOCVAL(LOCALE_SMONTHNAME1,"１月")
LOCVAL(LOCALE_SMONTHNAME2,"２月")
LOCVAL(LOCALE_SMONTHNAME3,"３月")
LOCVAL(LOCALE_SMONTHNAME4,"４月")
LOCVAL(LOCALE_SMONTHNAME5,"５月")
LOCVAL(LOCALE_SMONTHNAME6,"６月")
LOCVAL(LOCALE_SMONTHNAME7,"７月")
LOCVAL(LOCALE_SMONTHNAME8,"８月")
LOCVAL(LOCALE_SMONTHNAME9,"９月")
LOCVAL(LOCALE_SMONTHNAME10,"１０月")
LOCVAL(LOCALE_SMONTHNAME11,"１１月")
LOCVAL(LOCALE_SMONTHNAME12,"１２月")
LOCVAL(LOCALE_SMONTHNAME13,"")
#endif

LOCVAL(LOCALE_SABBREVMONTHNAME1,"1")
LOCVAL(LOCALE_SABBREVMONTHNAME2,"2")
LOCVAL(LOCALE_SABBREVMONTHNAME3,"3")
LOCVAL(LOCALE_SABBREVMONTHNAME4,"4")
LOCVAL(LOCALE_SABBREVMONTHNAME5,"5")
LOCVAL(LOCALE_SABBREVMONTHNAME6,"6")
LOCVAL(LOCALE_SABBREVMONTHNAME7,"7")
LOCVAL(LOCALE_SABBREVMONTHNAME8,"8")
LOCVAL(LOCALE_SABBREVMONTHNAME9,"9")
LOCVAL(LOCALE_SABBREVMONTHNAME10,"10")
LOCVAL(LOCALE_SABBREVMONTHNAME11,"11")
LOCVAL(LOCALE_SABBREVMONTHNAME12,"12")
LOCVAL(LOCALE_SABBREVMONTHNAME13,"")

LOCVAL(LOCALE_SPOSITIVESIGN, "")
LOCVAL(LOCALE_SNEGATIVESIGN, "-")
LOCVAL(LOCALE_IPOSSIGNPOSN, "1")
LOCVAL(LOCALE_INEGSIGNPOSN, "1")
LOCVAL(LOCALE_IPOSSYMPRECEDES, "0")
LOCVAL(LOCALE_IPOSSEPBYSPACE, "1")
LOCVAL(LOCALE_INEGSYMPRECEDES, "0")
LOCVAL(LOCALE_INEGSEPBYSPACE, "1")
/* LOCVAL(LOCALE_FONTSIGNATURE, "") */
LOCVAL(LOCALE_SISO639LANGNAME,"ja")
LOCVAL(LOCALE_SISO3166CTRYNAME,"JP")

